
QGIS Application - Bug report #2018

the order of grouped layers changes unexpectedly on other tasks

2009-10-16 02:38 PM - Milena Nowotarska

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12078

Description

Daphnis crashes when playing with layers grouping

4 layers: one point layer and 3 polygon

1. group plygon layers

2. set off visibility of the group layer

3. qgis crashes

History

#1 - 2009-10-16 02:42 PM - Giovanni Manghi

If I'm not wrong there were a few changes/fixes since 1.2 in the legend. Please try a newer version (1.3 or trunk) and report back.

#2 - 2009-10-17 03:33 AM - Giovanni Manghi

tested under xp with qgis >= 1.3 and no crash. Please test again and leave feedback.

#3 - 2009-10-17 02:57 PM - Milena Nowotarska

I can not confirm crash for 1.3 nor trunk 11818.

But something else happens: layers are changing their order when changing visibility, they even jump to the oter group of layers.

Also so called "Files" may jump out of main layer, see attachement.

#4 - 2009-10-17 03:39 PM - Giovanni Manghi

Replying to [comment:3 milenan]:

I can not confirm crash for 1.3 nor trunk 11818.

But something else happens: layers are changing their order when changing visibility, they even jump to the oter group of layers.
Also so called "Files" may jump out of main layer, see attachement.

yes you are right, it does happens, and if I'm not wrong there is already a ticket about it. But don't close this, it may help underline the problem. Just change

the title as the original problem your reported has been solved.

#5 - 2010-04-02 03:00 PM - Mayeul Kauffmann

I can confirm that "sometimes" (hard to predict) changing the visibility of a layer makes it move up or down in the layer panel (qgis 1.4.0 on Kubuntu 9.10).

I changed the priority from minor to major: the goal of the layer panel is to organize panels into groups to facilitate finding your layers; randomly "jumping"

layers prevent the layer panel to reach that goal, especially when you have numerous layers in a project.

#6 - 2010-06-03 07:40 PM - Giuseppe Sucameli

Can anybody tries if now (from commit:c43e11e4 (SVN r13643)) legend works as expected? So I can close also this ticket.

#7 - 2010-06-11 11:14 AM - Giovanni Manghi

please leave feedback so we can eventually close this ticket

#8 - 2010-06-22 03:50 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

this should be fixed, reopen if necessary.

Files

group.PNG 12.9 KB 2009-10-17 Milena Nowotarska

nested_group.PNG 10.9 KB 2009-10-17 Milena Nowotarska
